%define plasmaver %(echo %version | cut -d. -f1-3)

Name:          plasma-nm
Version:       6.3.0
Release:       1mamba
Summary:       KDE Plasma network management plasmoid
Group:         Graphical Desktop/Applications/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/it/plasma-desktop/
Source:        https://download.kde.org/%{stable_kf6}/plasma/%{plasmaver}/plasma-nm-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kcmutils-devel
BuildRequires: libkf6-kcolorscheme-devel
BuildRequires: libkf6-kcompletion-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kconfigwidgets-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-kdbusaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kio-devel
BuildRequires: libkf6-kjobwidgets-devel
BuildRequires: libkf6-knotifications-devel
BuildRequires: libkf6-kservice-devel
BuildRequires: libkf6-kwallet-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkf6-kwindowsystem-devel
BuildRequires: libkf6-modemmanager-qt-devel
BuildRequires: libkf6-networkmanager-qt-devel
BuildRequires: libkf6-solid-devel
BuildRequires: libnm-devel
BuildRequires: libopenconnect-devel
BuildRequires: libqca-qt6-devel
BuildRequires: libqcoro-qt6-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtpositioning-devel
BuildRequires: qt6-qtwebchannel-devel
%ifnarch %{ix86}
BuildRequires: qt6-qtwebengine-devel
%endif
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
Requires:      NetworkManager
Requires:      ModemManager
Provides:      networkmanagergui

%description
KDE Plasma network management plasmoid.


%prep
%setup -q

%build
%cmake_kf6 \
\
%ifarch %{ix86}
   -DBUILD_OPENCONNECT=NO
%endif

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_datadir}/applications/kcm_networkmanagement.desktop
%{_datadir}/applications/org.kde.vpnimport.desktop
%{_datadir}/metainfo/org.kde.plasma.networkmanagement.appdata.xml
%{_libdir}/libplasmanm_editor.so
%{_libdir}/libplasmanm_internal.so
%{_kf6_plugindir}/kded/networkmanagement.so
%{_qt6_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_networkmanagement.so
%dir %{_qt6_plugindir}/plasma/network/vpn
%{_qt6_plugindir}/plasma/network/vpn/plasmanetworkmanagement_*.so
%dir %{_qt6_qmldir}/org/kde/plasma/networkmanagement
%{_qt6_qmldir}/org/kde/plasma/networkmanagement/*
%{_datadir}/knotifications6/networkmanagement.notifyrc
%{_datadir}/qlogging-categories6/plasma-nm.categories
%dir %{_datadir}/kcm_networkmanagement/qml
%dir %{_datadir}/kcm_networkmanagement
%{_datadir}/kcm_networkmanagement/*
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.networkmanagement
%{_datadir}/plasma/plasmoids/org.kde.plasma.networkmanagement/*
%doc LICENSES

%changelog
* Wed Feb 12 2025 Automatic Build System <autodist@openmamba.org> 6.3.0-1mamba
- automatic version update by autodist

* Wed Jan 01 2025 Automatic Build System <autodist@openmamba.org> 6.2.5-1mamba
- automatic version update by autodist

* Wed Nov 27 2024 Automatic Build System <autodist@openmamba.org> 6.2.4-1mamba
- automatic version update by autodist

* Thu Nov 07 2024 Automatic Build System <autodist@openmamba.org> 6.2.3-1mamba
- automatic version update by autodist

* Fri Oct 25 2024 Automatic Build System <autodist@openmamba.org> 6.2.2-1mamba
- automatic version update by autodist

* Wed Oct 16 2024 Automatic Build System <autodist@openmamba.org> 6.2.1-1mamba
- automatic version update by autodist

* Fri Oct 11 2024 Automatic Build System <autodist@openmamba.org> 6.2.0-1mamba
- automatic version update by autodist

* Fri Sep 13 2024 Automatic Build System <autodist@openmamba.org> 6.1.5-1mamba
- automatic version update by autodist

* Wed Aug 07 2024 Automatic Build System <autodist@openmamba.org> 6.1.4-1mamba
- automatic version update by autodist

* Thu Jul 18 2024 Automatic Build System <autodist@openmamba.org> 6.1.3-1mamba
- automatic version update by autodist

* Wed Jul 03 2024 Automatic Build System <autodist@openmamba.org> 6.1.2-1mamba
- automatic version update by autodist

* Wed Jun 26 2024 Automatic Build System <autodist@openmamba.org> 6.1.1-1mamba
- automatic version update by autodist

* Wed Jun 19 2024 Automatic Build System <autodist@openmamba.org> 6.1.0-1mamba
- automatic version update by autodist

* Fri May 24 2024 Automatic Build System <autodist@openmamba.org> 6.0.5-1mamba
- automatic version update by autodist

* Wed Apr 17 2024 Automatic Build System <autodist@openmamba.org> 6.0.4-1mamba
- automatic version update by autodist

* Thu Mar 28 2024 Automatic Build System <autodist@openmamba.org> 6.0.3-1mamba
- automatic version update by autodist

* Wed Mar 13 2024 Automatic Build System <autodist@openmamba.org> 6.0.2-1mamba
- automatic version update by autodist

* Thu Mar 07 2024 Automatic Build System <autodist@openmamba.org> 6.0.1-1mamba
- automatic version update by autodist

* Sun Mar 03 2024 Automatic Build System <autodist@openmamba.org> 6.0.0-1mamba
- automatic version update by autodist

* Thu Feb 08 2024 Automatic Build System <autodist@openmamba.org> 5.93.0-1mamba
- automatic version update by autodist

* Thu Dec 07 2023 Automatic Build System <autodist@mambasoft.it> 5.27.10-1mamba
- automatic version update by autodist

* Wed Oct 25 2023 Automatic Build System <autodist@mambasoft.it> 5.27.9-1mamba
- automatic version update by autodist

* Wed Sep 13 2023 Automatic Build System <autodist@mambasoft.it> 5.27.8-1mamba
- automatic version update by autodist

* Wed Aug 02 2023 Automatic Build System <autodist@mambasoft.it> 5.27.7-1mamba
- automatic version update by autodist

* Thu Jun 22 2023 Automatic Build System <autodist@mambasoft.it> 5.27.6-1mamba
- automatic version update by autodist

* Wed May 10 2023 Automatic Build System <autodist@mambasoft.it> 5.27.5-1mamba
- automatic version update by autodist

* Wed Apr 05 2023 Automatic Build System <autodist@mambasoft.it> 5.27.4-1mamba
- automatic version update by autodist

* Wed Mar 15 2023 Automatic Build System <autodist@mambasoft.it> 5.27.3-1mamba
- automatic version update by autodist

* Thu Mar 02 2023 Automatic Build System <autodist@mambasoft.it> 5.27.2-1mamba
- automatic version update by autodist

* Wed Feb 22 2023 Automatic Build System <autodist@mambasoft.it> 5.27.1-1mamba
- automatic version update by autodist

* Wed Feb 15 2023 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Wed Jan 04 2023 Automatic Build System <autodist@mambasoft.it> 5.26.5-1mamba
- automatic version update by autodist

* Wed Nov 30 2022 Automatic Build System <autodist@mambasoft.it> 5.26.4-1mamba
- automatic version update by autodist

* Wed Nov 09 2022 Automatic Build System <autodist@mambasoft.it> 5.26.3-1mamba
- automatic version update by autodist

* Fri Oct 28 2022 Automatic Build System <autodist@mambasoft.it> 5.26.2-1mamba
- automatic version update by autodist

* Wed Oct 19 2022 Automatic Build System <autodist@mambasoft.it> 5.26.1-1mamba
- automatic version update by autodist

* Tue Oct 11 2022 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Wed Sep 07 2022 Automatic Build System <autodist@mambasoft.it> 5.25.5-1mamba
- automatic version update by autodist

* Wed Aug 03 2022 Automatic Build System <autodist@mambasoft.it> 5.25.4-1mamba
- automatic version update by autodist

* Wed Jul 13 2022 Automatic Build System <autodist@mambasoft.it> 5.25.3-1mamba
- automatic version update by autodist

* Tue Jun 28 2022 Automatic Build System <autodist@mambasoft.it> 5.25.2-1mamba
- automatic version update by autodist

* Tue Jun 21 2022 Automatic Build System <autodist@mambasoft.it> 5.25.1-1mamba
- automatic version update by autodist

* Wed Jun 15 2022 Automatic Build System <autodist@mambasoft.it> 5.25.0-1mamba
- automatic version update by autodist

* Thu May 05 2022 Automatic Build System <autodist@mambasoft.it> 5.24.5-1mamba
- automatic version update by autodist

* Wed Mar 30 2022 Automatic Build System <autodist@mambasoft.it> 5.24.4-1mamba
- automatic version update by autodist

* Wed Mar 09 2022 Automatic Build System <autodist@mambasoft.it> 5.24.3-1mamba
- automatic version update by autodist

* Thu Feb 24 2022 Automatic Build System <autodist@mambasoft.it> 5.24.2-1mamba
- automatic version update by autodist

* Wed Feb 16 2022 Automatic Build System <autodist@mambasoft.it> 5.24.1-1mamba
- automatic version update by autodist

* Wed Feb 09 2022 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Thu Jan 06 2022 Automatic Build System <autodist@mambasoft.it> 5.23.5-1mamba
- automatic version update by autodist

* Wed Dec 01 2021 Automatic Build System <autodist@mambasoft.it> 5.23.4-1mamba
- automatic version update by autodist

* Wed Nov 10 2021 Automatic Build System <autodist@mambasoft.it> 5.23.3-1mamba
- automatic version update by autodist

* Wed Oct 27 2021 Automatic Build System <autodist@mambasoft.it> 5.23.2-1mamba
- automatic version update by autodist

* Wed Oct 20 2021 Automatic Build System <autodist@mambasoft.it> 5.23.1-1mamba
- automatic version update by autodist

* Sat Oct 16 2021 Automatic Build System <autodist@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 5.22.5-1mamba
- automatic version update by autodist

* Thu Jul 29 2021 Automatic Build System <autodist@mambasoft.it> 5.22.4-1mamba
- automatic version update by autodist

* Tue Jul 06 2021 Automatic Build System <autodist@mambasoft.it> 5.22.3-1mamba
- automatic version update by autodist

* Wed Jun 23 2021 Automatic Build System <autodist@mambasoft.it> 5.22.2.1-1mamba
- automatic version update by autodist

* Wed Jun 16 2021 Automatic Build System <autodist@mambasoft.it> 5.22.1-1mamba
- automatic version update by autodist

* Tue Jun 08 2021 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Wed May 05 2021 Automatic Build System <autodist@mambasoft.it> 5.21.5-1mamba
- automatic version update by autodist

* Wed Apr 07 2021 Automatic Build System <autodist@mambasoft.it> 5.21.4-1mamba
- automatic version update by autodist

* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 5.21.3-1mamba
- automatic version update by autodist

* Wed Mar 03 2021 Automatic Build System <autodist@mambasoft.it> 5.21.2-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 5.21.1-1mamba
- automatic version update by autodist

* Thu Feb 18 2021 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Tue Jan 05 2021 Automatic Build System <autodist@mambasoft.it> 5.20.5-1mamba
- automatic version update by autodist

* Wed Dec 02 2020 Automatic Build System <autodist@mambasoft.it> 5.20.4-1mamba
- automatic version update by autodist

* Wed Nov 11 2020 Automatic Build System <autodist@mambasoft.it> 5.20.3-1mamba
- automatic version update by autodist

* Sat Nov 07 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.20.2-2mamba
- require NetworkManager and ModemManager

* Wed Oct 28 2020 Automatic Build System <autodist@mambasoft.it> 5.20.2-1mamba
- automatic version update by autodist

* Wed Oct 21 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.20.1-2mamba
- provide networkmanagergui

* Tue Oct 20 2020 Automatic Build System <autodist@mambasoft.it> 5.20.1-1mamba
- automatic version update by autodist

* Wed Oct 14 2020 Automatic Build System <autodist@mambasoft.it> 5.20.0-1mamba
- automatic version update by autodist

* Wed Sep 02 2020 Automatic Build System <autodist@mambasoft.it> 5.19.5-1mamba
- automatic version update by autodist

* Thu Jul 30 2020 Automatic Build System <autodist@mambasoft.it> 5.19.4-1mamba
- automatic version update by autodist

* Tue Jul 07 2020 Automatic Build System <autodist@mambasoft.it> 5.19.3-1mamba
- automatic version update by autodist

* Thu Jun 25 2020 Automatic Build System <autodist@mambasoft.it> 5.19.2-1mamba
- automatic version update by autodist

* Wed Jun 17 2020 Automatic Build System <autodist@mambasoft.it> 5.19.1-1mamba
- automatic version update by autodist

* Tue Jun 09 2020 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Wed May 06 2020 Automatic Build System <autodist@mambasoft.it> 5.18.5-1mamba
- automatic version update by autodist

* Mon Apr 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.18.4.1-1mamba
- update to 5.18.4.1

* Wed Apr 01 2020 Automatic Build System <autodist@mambasoft.it> 5.18.4-1mamba
- automatic version update by autodist

* Wed Mar 11 2020 Automatic Build System <autodist@mambasoft.it> 5.18.3-1mamba
- automatic version update by autodist

* Wed Feb 26 2020 Automatic Build System <autodist@mambasoft.it> 5.18.2-1mamba
- automatic version update by autodist

* Wed Feb 19 2020 Automatic Build System <autodist@mambasoft.it> 5.18.1-1mamba
- automatic version update by autodist

* Wed Feb 12 2020 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Wed Jan 08 2020 Automatic Build System <autodist@mambasoft.it> 5.17.5-1mamba
- automatic version update by autodist

* Tue Dec 03 2019 Automatic Build System <autodist@mambasoft.it> 5.17.4-1mamba
- automatic version update by autodist

* Tue Nov 12 2019 Automatic Build System <autodist@mambasoft.it> 5.17.3-1mamba
- automatic version update by autodist

* Wed Oct 30 2019 Automatic Build System <autodist@mambasoft.it> 5.17.2-1mamba
- automatic version update by autodist

* Wed Oct 23 2019 Automatic Build System <autodist@mambasoft.it> 5.17.1-1mamba
- automatic version update by autodist

* Wed Oct 16 2019 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 5.16.5-1mamba
- automatic version update by autodist

* Fri Aug 02 2019 Automatic Build System <autodist@mambasoft.it> 5.16.4-1mamba
- automatic version update by autodist

* Wed Jul 10 2019 Automatic Build System <autodist@mambasoft.it> 5.16.3-1mamba
- automatic version update by autodist

* Wed Jun 26 2019 Automatic Build System <autodist@mambasoft.it> 5.16.2-1mamba
- automatic version update by autodist

* Thu Jun 20 2019 Automatic Build System <autodist@mambasoft.it> 5.16.1-1mamba
- automatic version update by autodist

* Thu Jun 13 2019 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Wed May 08 2019 Automatic Build System <autodist@mambasoft.it> 5.15.5-1mamba
- automatic version update by autodist

* Tue Apr 02 2019 Automatic Build System <autodist@mambasoft.it> 5.15.4-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 5.15.3-1mamba
- automatic version update by autodist

* Tue Feb 26 2019 Automatic Build System <autodist@mambasoft.it> 5.15.2-1mamba
- automatic version update by autodist

* Wed Feb 20 2019 Automatic Build System <autodist@mambasoft.it> 5.15.1-1mamba
- automatic version update by autodist

* Wed Feb 13 2019 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Wed Jan 09 2019 Automatic Build System <autodist@mambasoft.it> 5.14.5-1mamba
- automatic version update by autodist

* Sat Dec 01 2018 Automatic Build System <autodist@mambasoft.it> 5.14.4-1mamba
- automatic version update by autodist

* Sat Nov 10 2018 Automatic Build System <autodist@mambasoft.it> 5.14.3-1mamba
- automatic version update by autodist

* Thu Oct 25 2018 Automatic Build System <autodist@mambasoft.it> 5.14.2-1mamba
- automatic version update by autodist

* Wed Oct 17 2018 Automatic Build System <autodist@mambasoft.it> 5.14.1-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Automatic Build System <autodist@mambasoft.it> 5.13.5-1mamba
- automatic version update by autodist

* Fri Aug 03 2018 Automatic Build System <autodist@mambasoft.it> 5.13.4-1mamba
- automatic version update by autodist

* Wed Jul 11 2018 Automatic Build System <autodist@mambasoft.it> 5.13.3-1mamba
- automatic version update by autodist

* Tue Jun 26 2018 Automatic Build System <autodist@mambasoft.it> 5.13.2-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.13.1-1mamba
- automatic version update by autodist

* Sat Jun 16 2018 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Wed May 02 2018 Automatic Build System <autodist@mambasoft.it> 5.12.5-1mamba
- automatic version update by autodist

* Sun Apr 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.4-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 5.12.3-1mamba
- automatic version update by autodist

* Wed Feb 21 2018 Automatic Build System <autodist@mambasoft.it> 5.12.2-1mamba
- automatic version update by autodist

* Wed Feb 14 2018 Automatic Build System <autodist@mambasoft.it> 5.12.1-1mamba
- automatic version update by autodist

* Thu Feb 08 2018 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Wed Jan 03 2018 Automatic Build System <autodist@mambasoft.it> 5.11.5-1mamba
- automatic version update by autodist

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.4-1mamba
- automatic version update by autodist

* Wed Nov 08 2017 Automatic Build System <autodist@mambasoft.it> 5.11.3-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.11.2-1mamba
- automatic version update by autodist

* Mon Oct 23 2017 Automatic Build System <autodist@mambasoft.it> 5.11.1-1mamba
- automatic version update by autodist

* Sat Sep 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.5-1mamba
- package created using the webbuild interface
